AutoCAD Civil 3D General

Reply
Contributor
Posts: 12
Registered: ‎07-13-2007
Message 1 of 10 (1,999 Views)

Zoom extents zooms way too far

1999 Views, 9 Replies
08-30-2007 06:54 AM
Title pretty much sums it up. When I do zoom extents it zooms out so far and it takes me forever to zoom in and find my drawing again. This happens even if I select all and delete everything and then draw a circle at the origin so I know I don't have any fragments somewhere out in the drawing. Help please!
Member
Posts: 3
Registered: ‎08-17-2007
Message 2 of 10 (1,999 Views)

Re: Zoom extents zooms way too far

08-30-2007 07:04 AM in reply to: jason17439
hi
Any chance that limits might be affecting the file? I'm a relatively new user so take my advice lightly. But I recall from way back in the day that limits settings could give you that behavior.

HTH
Contributor
Posts: 12
Registered: ‎07-13-2007
Message 3 of 10 (1,999 Views)

Re: Zoom extents zooms way too far

08-30-2007 07:15 AM in reply to: jason17439
I had considered that also but changing the limits doesn't seem to help the problem. Thanks for trying.
*Brad
Message 4 of 10 (1,999 Views)

Re: Zoom extents zooms way too far

08-30-2007 07:47 AM in reply to: jason17439
Something is out there. Post the file after you have erased everything and
maybe we can find the problem.

Brad

wrote in message news:5705770@discussion.autodesk.com...
Title pretty much sums it up. When I do zoom extents it zooms out so far
and it takes me forever to zoom in and find my drawing again. This happens
even if I select all and delete everything and then draw a circle at the
origin so I know I don't have any fragments somewhere out in the drawing.
Help please!
*Expert Elite*
Civil3DReminders.com
Posts: 2,433
Registered: ‎10-13-2005
Message 5 of 10 (1,999 Views)

Re: Zoom extents zooms way too far

08-30-2007 11:02 AM in reply to: jason17439
Also try selecting all of the objects in the drawing and then using the wheel to zoom out a little (in case you have a toolbar covering part of the screen) and you should be able to find the trouble object, well sometimes not. The grips make small objects easier to see.

Christopher
http://civil-3d.blogspot.com/
Civil Reminders
http://blog.civil3dreminders.com/
http://www.CivilReminders.com/
Contributor
Posts: 12
Registered: ‎07-13-2007
Message 6 of 10 (1,999 Views)

Re: Zoom extents zooms way too far

08-30-2007 11:19 AM in reply to: jason17439
Here is the offending file hopefully somebody can beat it into submission. There is nothing in it except one circle at 0,0 with a radius of 100.
*Brad
Message 7 of 10 (1,999 Views)

Re: Zoom extents zooms way too far

08-30-2007 11:57 AM in reply to: jason17439
After auditing, deleting the layouts and your 100' circle, purging and
selecting all, I get 14 objects in the file. 13 are in model space. There
are eight blocks that cannot be purged. I am guessing your problem has
something to with these blocks. Have tried several things, but cannot find
them even though I can select the 13 objects. I tried to erase the 13
objects, but they are still there after the erase. I tried listing them but
nothing came up other than 13 objects. The audit did find errors. I would
try wblocking to a new file and starting over or going to a backup from
before the problem started.

Brad
C3D 2008
XP Pro

wrote in message news:5706326@discussion.autodesk.com...
Here is the offending file hopefully somebody can beat it into submission.
There is nothing in it except one circle at 0,0 with a radius of 100.
*Jeff Mishler
Message 8 of 10 (1,999 Views)

Re: Zoom extents zooms way too far

08-30-2007 12:55 PM in reply to: jason17439
13 of the objects are the PointGroups and don't have any effect on the
Extents. There are 3 objects of the type "AcMapBulkFeature". Deleting these
via ActiveX lisp fixed the problem.

Here's the quick lisp I used. Note that I have no idea WHAT the BulkFeature
objects are or what they may be doing. It doesn't appear to make this
drawing unstable, but make sure you have a good back-up of the drawing
before using it.

(defun c:deletebulk ()
(vl-load-com)
(vlax-for ent
(vla-get-modelspace
(vla-get-activedocument
(vlax-get-acad-object)))
(if (eq (vla-get-objectname ent) "AcMapBulkFeature")
(vla-delete ent)
)
)
(princ)
)

HTH,
Jeff

wrote in message news:5706326@discussion.autodesk.com...
Here is the offending file hopefully somebody can beat it into submission.
There is nothing in it except one circle at 0,0 with a radius of 100.
Distinguished Contributor
Posts: 766
Registered: ‎06-26-2006
Message 9 of 10 (1,999 Views)

Re: Zoom extents zooms way too far

08-30-2007 10:20 PM in reply to: jason17439
When I get tired of looking for the problem I set the zoom limits to my drawing and then use "zoom limits" (zl) instead of "zoom extents".
New Member
Posts: 1
Registered: ‎03-11-2009
Message 10 of 10 (1,999 Views)

Re: Zoom extents zooms way too far

03-11-2009 09:01 AM in reply to: jason17439
Draw a line from a snap point on one of the objects in the drawing to 0,0,0. Select all objects (including the new line) and hit ctrl + C. Open a new file and hit ctrl "v" and paste anywhere in the drawing. Select all and move the pasted objects by selecting the 0,0,0 point of the line as the Base point, with the second point 0,0,0. Now delete the line and try zoom extents.

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you interested in helping shape the Autodesk Community?
We’re looking at a few different ways to improve the “All Forums” landing page and need your feedback! If interested, please take a few minutes to fill out the following Usability Study. Thank you for your time!

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community


Civil 3D Exchange Apps

Created by the community for the community, Autodesk Exchange Apps for AutoCAD Civil 3D helps you achieve greater speed, accuracy, and automation from concept to manufacturing.

Connect with Civil 3D

Twitter

Facebook

Blogs